Bio::DB::GFF::Homol(3)

NAME
Bio::DB::GFF::Homol -- A segment of DNA that is homologous to another

SYNOPSIS
See Bio::DB::GFF.

DESCRIPTION
Bio::DB::GFF::Homol is a named subtype of Bio::DB::GFF::Segment. It inherits all the methods of its parent, and was created primarily to allow for isa() queries and for compatibility with Ace::Sequence::Homol.

A Homol object is typically returned as the method result of the Bio::DB::GFF::Feature->target() method.

METHODS

  name
 Title   : name
 Usage   : $name = $homol->name
 Function: get the ID of the homology object
 Returns : a string
 Args    : none
 Status  : Public

  asString
 Title   : asString
 Usage   : $name = $homol->asString
 Function: same as name(), for operator overloading
 Returns : a string
 Args    : none
 Status  : Public

  id
 Title   : id
 Usage   : $id = $homol->id
 Function: get database ID in class:id format
 Returns : a string
 Args    : none
 Status  : Public

BUGS
This module is still under development.

SEE ALSO
bioperl, Bio::DB::GFF, Bio::DB::RelSegment

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.